tt_pattern_sender_ptype_add(library call)

NAME
tt_pattern_sender_ptype_add — add a value to the sending process's ptype field for a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_sender_ptype_add(
Tt_pattern p,
const char *ptid);

DESCRIPTION

The tt_pattern_sender_ptype_add function adds a value to the sending process's ptype field for the specified pattern.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called. The ptid argument is the character string that uniquely identifies the type of process in which the application is interested.

RETURN VALUE

Upon successful completion, the tt_pattern_sender_ptype_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_create(3).